#ifndef COLOR_INDICATOR_HPP_
#define COLOR_INDICATOR_HPP_

#include <GraphicsContext/GraphicsContext.hpp>
#include <Material/Material.hpp>
#include <Widget/Widget.hpp>

/**
 * @brief A widget which displays a color using a base image.
 */
class ColorIndicator final : public Widget
{
private:
    Material &baseImage;
    const RGBABytes &color;

public:
    ColorIndicator(Material &baseImage, const RGBABytes &color);

    virtual void draw(GraphicsContext &context) override;
    virtual glm::ivec2 getMinSize() override;
};

#endif